Subject: Re: Kernel for MPC Lite 5200 will not compile

From: Sylvain Munaut <[email-masked]>
Date: Sun, 02 Apr 2006 19:42:04 +0200

Matthias Fechner wrote:
> Hello Sylvain,
>
> * Sylvain Munaut <[email-masked]> [28-03-06 22:47]:
>   
>> If it still doesnt work, report it and I'll have a closer look. Maybe
>> something changed
>> recently and I didn't update my tree since a few days ...
>>     
>
> ok, I have now the board to really test it.
> I tried to boot over NFS, the kernel was loaded successfully but it
> will not really boot, I got:
>   
Well, if you didn't find the network driver then booting over NFS is not
gonna happen ...
and since (see below) you didn't configure the console properly either,
you can't
even see the error message ...

> bootargs=root=/dev/nfs rw nfsroot=192.168.0.151:/usr/local/eldk/ppc_6xx ip=192.168.0.101:192.168.0.151:192.168.0.151:255.255.255.0:icecube::off
>
>   
As I said earlier in this thread, you need console=ttyPSC0 in your
kernel command line, else, you
just won't see anything on the serial except very early debug.

> I tried to find if the networkcard from the board will work, but I
> cannot find a driver in the kernel for it.
> What can be the problem for this?
>   
Well, you didn't pull from the bestcomm head maybe ?

PS: Please cc me when answering ... without it I might miss the mail ...

Sylvain